
Name:           perl-ExtUtils-Install
Version:        1.68
Release:        1%{?org_tag}%{?dist}
Summary:        Install files from here to there
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/ExtUtils-Install/
Source0:        http://www.cpan.org/authors/id/Y/YV/YVES/ExtUtils-Install-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
%if %{rhel} < 6
BuildRequires:  /usr/bin/rename
%endif
Requires:       perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
AutoReq:        no

%description
Handles the installing and uninstalling of perl modules, scripts, man
pages, etc...

%if %{rhel} < 6
WARNING: the man pages for this package conflict with the old ones included
in the base perl module, and cannot be updated via yum. The new man pages
are instead available as 'ExtUtils::Install-%{version}(3)',
'ExtUtils-Installed-%{version}(3)', and 'ExtUtils::Packlist-%{version}(3)'.

%endif

%prep
%setup -q -n ExtUtils-Install-%{version}

%build
%{__perl} Makefile.PL --skipdeps INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

# On RHEL/CentOS5 the man pages conflict with those in the main perl package :-/
%if %{rhel} < 6
/usr/bin/rename .3pm -%{version}.3pm %{buildroot}%{_mandir}/man3/*.3pm
%endif

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes INSTALL.SKIP README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jul 22 2014 Gavin Carr <gavin@openfusion.com.au> 1.68-1
- Update to version 1.68.

* Fri Feb 04 2011 Gavin Carr <gavin@openfusion.com.au> 1.54-1
- Specfile autogenerated by cpanspec 1.78.
